{% extends "mainsite/base.html" %}
{% load static staticfiles %}

{% block head_title %}Registration{% endblock %}
{% load staticfiles %}
{% load account socialaccount %}
{% load widget_tweaks %}
{% load static staticfiles %}
<title>{% block title %}Registration{% endblock %}</title>
{% block description %}
    <meta name="description" content="Description">{% endblock %}
{% block content %}
    <div class="content-wrapper">
        <section class="medium-padding80">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6 col-lg-offset-3 col-md-6 col-md-offset-3 col-sm-12 col-xs-12 ">
                        <div class="crumina-module crumina-heading">
                            <h5 class="heading-title align-center">Register to WebTweaker</h5>
                            <p class="info-box-text" style="display: none">
                                WebTweaker recognizes your need to present your business in a unique way, and give you a
                                custom branded solution to bring you more business. Your customers get the details they
                                need in an engaging and interactive way. In short, we will take full care of your online
                                business platform.
                            </p>
                            <form class="contact-form" style="margin-bottom: 75px" method="post" novalidate>
                                {% csrf_token %}
                                {% for hidden_field in form.hidden_fields %}
                                    {{ hidden_field }}
                                {% endfor %}
                                <div class="row">
                                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                                                {% if form.username.errors %}
                                                    {% render_field form.username placeholder="Username" type="text" class="inputinvalid" %}
                                                    {% render_field form.username.errors %}
                                                {% else %}
                                                    {% render_field form.username placeholder="Username" type="text" %}
                                                {% endif %}
                                            </div>
                                            <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                                                {% if form.email.errors %}
                                                    {% render_field form.email placeholder="Your Email" type="email" class="inputinvalid" %}
                                                    {% render_field form.email.errors %}
                                                {% else %}
                                                    {% render_field form.email placeholder="Your Email" type="email" %}
                                                {% endif %}
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                                                {% if form.address.errors %}
                                                    {% render_field form.address placeholder="Your Address" type="text" class="inputinvalid" %}
                                                    {% render_field form.address.errors %}
                                                {% else %}
                                                    {% render_field form.address placeholder="Your Address" type="text" %}
                                                {% endif %}
                                            </div>
                                            <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                                                {% if form.zip_code.errors %}
                                                    {% render_field form.zip_code placeholder="Zip Code" type="text" class="inputinvalid" %}
                                                    {% render_field form.zip_code.errors %}
                                                {% else %}
                                                    {% render_field form.zip_code placeholder="Zip Code" type="text" %}
                                                {% endif %}
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                                                {% if form.password1.errors %}
                                                    {% render_field form.password1 placeholder="Password" type="password" class="inputinvalid" %}
                                                    {% render_field form.password1.errors %}
                                                {% else %}
                                                    {% render_field form.password1 placeholder="Password" type="password" %}
                                                {% endif %}
                                            </div>
                                            <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                                                {% if form.password2.errors %}
                                                    {% render_field form.password2 placeholder="Confirm Password" type="password" class="inputinvalid" %}
                                                    {% render_field form.password2.errors %}
                                                {% else %}
                                                    {% render_field form.password2 placeholder="Confirm Password" type="password" %}
                                                {% endif %}
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                                                {% render_field form.business_domain %}
                                                {% render_field form.business_domain.errors %}
                                            </div>
                                            <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                                                {% if form.phone_no.errors %}
                                                    {% render_field form.phone_no placeholder="Phone" type="text" class="inputinvalid" %}
                                                    {% render_field form.phone_no.errors %}
                                                {% else %}
                                                    {% render_field form.phone_no placeholder="Phone" type="text" %}
                                                {% endif %}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        {% if form.about.errors %}
                                            {% render_field form.about placeholder="Tell us about your business......" type="text" class="inputinvalid" %}
                                            {% render_field form.about.errors %}
                                        {% else %}
                                            {% render_field form.about placeholder="Tell us about your business......" type="text" %}
                                        {% endif %}
                                        <input type="hidden" name="{{ redirect_field_name }}" value="/redirection/"/>
                                        <button class="btn btn--green btn--with-shadow full-width" type="submit">
                                            Register Now!
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
{% endblock %}
